drop table if exists PROC_LOG_TBL;
CREATE TABLE PROC_LOG_TBL (
  PROC_ID  VARCHAR(30),
  LOG_TYP  VARCHAR(5),
  LOG_CD   VARCHAR(100),
  LOG_MSG  VARCHAR(4000),
  LOG_DT   DATE
);

select * from PROC_LOG_TBL;


drop table if exists TASK_LOG_TBL;
CREATE TABLE TASK_LOG_TBL (
  NAME  VARCHAR(100),
  OBJECT_ID  VARCHAR(100),
  LOG_TYPE   VARCHAR(100),
  LOG_MESSAGE  VARCHAR(2000),
  ADMIN_STATUS  VARCHAR(100),
  MGR_APROV_STATUS      VARCHAR(100),
  STATUS  VARCHAR(100),
  LOG_DATE   DATE
);

select * from TASK_LOG_TBL;


--This is a VIEW for Contact Team in a real env.
drop table if exists auto_ct_isales_proc_vw;
CREATE TABLE auto_ct_isales_proc_vw (
	userid VARCHAR(100),
	contactid VARCHAR(100),
    ID VARCHAR(100),
    action VARCHAR(100)
);

select * from auto_ct_isales_proc_vw;

--This is a VIEW for Allocation in a real env.
drop table if exists auto_ALL_isales_proc_vw;
CREATE TABLE auto_ALL_isales_proc_vw (
	alocacion VARCHAR(100),
    action VARCHAR(100)
);

select * from auto_ALL_isales_proc_vw;

drop table if exists APP_TASK_SCHEDULER;
CREATE TABLE APP_TASK_SCHEDULER (
  TASK_NAME  		VARCHAR(100) NOT NULL,
  REGION  			VARCHAR(10) NOT NULL,
  PROCESS_TYPE  	VARCHAR(20) NOT NULL,
  PROCESS_ID		VARCHAR(200),
  TASK_STATUS		VARCHAR(20) NOT NULL,
  LOCATION			VARCHAR(100),
  APPLICATION_NAME 	VARCHAR(100) NOT NULL,
  ARGUMENTS			VARCHAR(100),
  REP				VARCHAR(20) NOT NULL,
  SEQUENTIAL_ORDER	INTEGER NOT NULL,
  ROWS_PROCESSED	INTEGER,
  ROWS_DELETED		INTEGER,
  DURATION			VARCHAR(100),
  START_TIME		TIMESTAMP,
  FINISH_TIME		TIMESTAMP,
  ACTIVE			VARCHAR(1) NOT NULL,
  ERROR_MESSAGE		VARCHAR(4000),
  DESCRIPTION		VARCHAR(300),
  RE_RUNNING        VARCHAR(1)
);

drop table if exists TASK_BUSINESS_RULE;

CREATE TABLE TASK_BUSINESS_RULE
(
  COUNTRY        VARCHAR( 20),
  ID_RULE        VARCHAR(100),
  BUSINESS_UNIT  VARCHAR(100),
  STATUS         VARCHAR(100),
  PARAMETER      VARCHAR(100),
  RULE           VARCHAR(400),
  DESCRIPTION    VARCHAR(300),
  FIELD          VARCHAR(400)
);
select * from TASK_BUSINESS_RULE;

CREATE UNIQUE INDEX TASK_BUSINESS_RULE_PK ON TASK_BUSINESS_RULE
	(ID_RULE, COUNTRY, BUSINESS_UNIT);
	

select * from APP_TASK_SCHEDULER;


drop table if exists WS_MONITOR;
CREATE TABLE WS_MONITOR (
  WS_NAME         VARCHAR(50) NOT NULL,
  DEL_ITEM_NAME   VARCHAR(100) DEFAULT NULL,
  EX_DATE         DATE,
  SYNC_DATE       DATE,
  EX_DURATION     VARCHAR(8),
  ROWS_PROCESSED  INTEGER,
  ROWS_DELETED    INTEGER,
  EX_STATUS       VARCHAR(20),
  CRM_STATUS      VARCHAR(20),
  WIMP_STATUS     VARCHAR(20)
);

select * from WS_MONITOR;


drop table if exists dashb_monitor;
CREATE TABLE dashb_monitor (
  COUNTRY 		  VARCHAR(15),
  DASH_NAME 	  VARCHAR(40),
  DASH_TEMP 	  VARCHAR(40), 
  DASH_DESC 	  VARCHAR(70), 
  GEN_DT 		  DATE,
  STATUS          VARCHAR(30),
  START_DT 		  DATE, 
  TIME_OUT 		  INTEGER, --NUMBER,
  ENABLE          CHAR(1),
  YEAR 			  INTEGER, --NUMBER, 
  STATUS_COGNOS   VARCHAR(1)
);

select * from dashb_monitor;


--This is a VIEW for account Team in a real env.
drop table if exists auto_at_isales_proc_vw;
CREATE TABLE auto_at_isales_proc_vw (
	userid VARCHAR(100),
	accountid VARCHAR(100),
    ID VARCHAR(100),
    action VARCHAR(100)
);

select * from auto_at_isales_proc_vw;


drop table if exists EMPLOYEES;

CREATE TABLE EMPLOYEES
(
  USERID              VARCHAR(150),
  REGION              VARCHAR(150),
  DEPARTMENT          VARCHAR(150),
  DISTRICT            VARCHAR(900),
  TERRITORY           VARCHAR(900),
  BUSINESSUNIT        VARCHAR(150),
  USERFIRSTNAME       VARCHAR(150),
  USERMIDDLENAME      VARCHAR(150),
  WEINNO              VARCHAR(60),
  USERLASTNAME        VARCHAR(150),
  JOBTITLE            VARCHAR(150),
  BUSINESSUNITLEVEL1  VARCHAR(900),
  DIVISION            VARCHAR(150),
  ROLEID              VARCHAR(150),
  ROLEDESC            VARCHAR(150),
  SUPERVISORID        VARCHAR(150),
  EMAILADDR           VARCHAR(150),
  LOGINID             VARCHAR(150),
  USERSTATUS          VARCHAR(60),
  SALESTEAMID         VARCHAR(900),
  EXTID               VARCHAR(150),
  COUNTRY             VARCHAR(150),
  UPD_DT              DATE,
  UPD_ID              VARCHAR(150),
  TEST                VARCHAR(5),
  CRE_DT              DATE,
  CRE_ID              VARCHAR(150),
  TEL                 VARCHAR(40),
  ADD1                VARCHAR(200),
  ADD2                VARCHAR(200),
  ADD3                VARCHAR(200),
  PCD                 VARCHAR(50),
  CTY                 VARCHAR(200),
  PRV                 VARCHAR(200),
  DLV_COM             VARCHAR(400),
  JDE_CODE            VARCHAR(150),
  TEMP_DISABLED       VARCHAR(5)
  );
  
select * from EMPLOYEES;


drop table if exists CONTACTS;
CREATE TABLE CONTACTS 
   (	
    COUNTRY VARCHAR(4000), 
	CONTACTID VARCHAR(150), 
	CONTACTFIRSTNAME VARCHAR(3000), 
	CONTACTLASTNAME VARCHAR(3000), 
	CELLULARPHONE VARCHAR(600), 
	CONTACTEMAIL VARCHAR(1500), 
	CONTACTTYPE VARCHAR(450), 
	WORKPHONE VARCHAR(600), 
	WORKFAX VARCHAR(600), 
	ASSISTANTNAME VARCHAR(3000), 
	ASSISTANTPHONE VARCHAR(600), 
	LOCALREF VARCHAR(4000), 
	CUSTSALUTATION VARCHAR(4000), 
	CUSTGENDER VARCHAR(4000), 
	CUSTBIRTHDATE DATE, 
	GENESYSID VARCHAR(4000), 
	BESTTIMESCALL VARCHAR(4000), 
	EXTID VARCHAR(150), 
	COPID VARCHAR(4000), 
	EMSID VARCHAR(4000), 
	FCPAID VARCHAR(4000), 
	SPEAKER VARCHAR(4000), 
	ONEKEYID VARCHAR(4000), 
	CLOSEUPID VARCHAR(4000), 
	SANITYCODE VARCHAR(100), 
	STATUS VARCHAR(150), 
	CUI_FLG VARCHAR(20), 
	CUI_UPD_DT DATE, 
	CUI_UPD_ID VARCHAR(100), 
	PRIMARY_COUNTRY VARCHAR(50), 
	CRE_DT DATE, 
	CRE_ID VARCHAR(150), 
	UPD_DT DATE, 
	UPD_ID VARCHAR(150), 
	ACCOUNTID VARCHAR(150), 
	FCPA_EMP_GOV VARCHAR(50), 
	FCPA_PRI VARCHAR(50), 
	FCPA_POL VARCHAR(50), 
	FCPA_LVL VARCHAR(50), 
	FCPA_ROLE VARCHAR(50), 
	FCPA_ID VARCHAR(150), 
	FCPA_CAT VARCHAR(50), 
	FCPA_UPD_ID VARCHAR(150), 
	FCPA_UPD_DT DATE, 
	DUM_FLG VARCHAR(20), 
	CON_MIRS_ID VARCHAR(35), 
	TEST_CONTACT VARCHAR(60), 
	KAM_POSITION VARCHAR(150), 
	DEPARTMENT VARCHAR(150), 
	FCPA_APP_STA VARCHAR(150), 
	FCPA_PRE_CAT VARCHAR(150), 
	FCPA_APP_BY VARCHAR(150), 
	FCPA_APP_DT DATE, 
	FOREIGN_DOC VARCHAR(40)
   );
select * from CONTACTS;



drop table if exists TIMECYCLES;
CREATE TABLE TIMECYCLES
(
  COUNTRY             VARCHAR(40),
  CYCLEYEAR           VARCHAR(40),
  CYCLEID             VARCHAR(6),
  CYCLESTART          DATE,
  CYCLEEND            DATE,
  BKPROMOTIONALCYCLE  VARCHAR(4000),
  ID                  VARCHAR(150),
  CRE_STA_DT          DATE ,
  CRE_END_DT          DATE ,
  CRE_APP_DT          DATE ,
  DEL_STA_DT          DATE ,
  DEL_END_DT          DATE ,
  DEL_APP_DT          DATE ,
  HIS_SNAP            DATE,
  BUSINESS_UNIT       VARCHAR(4000),
  INV_STA_DT          DATE,
  INV_END_DT          DATE,
  DUMMY               VARCHAR(10),
  CRE_STA_DT_ACC      DATE,
  CRE_END_DT_ACC      DATE,
  CRE_APP_DT_ACC      DATE,
  DEL_STA_DT_ACC      DATE,
  DEL_END_DT_ACC      DATE,
  DEL_APP_DT_ACC	  DATE
  );

select * from TIMECYCLES;


drop table if exists MULTILANGUAJE_COUNTRY;

CREATE TABLE MULTILANGUAJE_COUNTRY
(
  COUNTRY   VARCHAR(100),
  LANGUAJE  VARCHAR(100)
);
select * from MULTILANGUAJE_COUNTRY;


drop table if exists MULTILANGUAJE_TRASLATION;
CREATE TABLE MULTILANGUAJE_TRASLATION
(
  ID           VARCHAR(100),
  LANGUAJE     VARCHAR(100),
  TYPE         VARCHAR(100),
  TRANSLATION  VARCHAR(800)
);
select * from MULTILANGUAJE_TRASLATION;

drop table if exists APP_TASK_DEPENDECIES;
CREATE TABLE APP_TASK_DEPENDECIES
(
  REGION    VARCHAR(10),
  PROC_ID   VARCHAR(50),
  PROC_DEP  VARCHAR(50),
  ACTIVE    VARCHAR(1)
);

drop table if exists CTRL_CRM_LOADER;
CREATE TABLE CTRL_CRM_LOADER
(
  RECORDTYPE           	VARCHAR(100),
  ENTITY_NAME    		VARCHAR(100),
  REGION         		VARCHAR(100),
  CSVDELIMITER  		VARCHAR(800),
  WAITFORCOMPLETION		VARCHAR(800),
  DUPLICATECHECKOPTION	VARCHAR(800),
  DATAFILEPATH			VARCHAR(800),
  CLIENTLOGFILEDIR		VARCHAR(800),
  HOSTURL				VARCHAR(800),
  DATETIMEFORMAT		VARCHAR(800),
  OPERATION				VARCHAR(800),
  USERNAME				VARCHAR(800),
  CHARACTERSET			VARCHAR(800),
  CLIENTLOGLEVEL		VARCHAR(800),
  IMPORTLOGLEVEL		VARCHAR(800),
  DISABLEIMPORTAUDIT	VARCHAR(800),
  RESUMEREQUEST			VARCHAR(800),
  MAPFILEPATH			VARCHAR(800),
  USERPWD				VARCHAR(800),
  STATUS				VARCHAR(800),
  ID_REPORT				VARCHAR(800),
  ID					VARCHAR(800),
  ROW_NUM				INTEGER,
  LINK_CRM				VARCHAR(800),
  LAST_RUN_DATE			DATE
);
select * from CTRL_CRM_LOADER;


drop table if exists SODM_REPORT;
CREATE TABLE SODM_REPORT
(
  ID           			VARCHAR(100),
  REGION         		VARCHAR(100),
  QRY			  		VARCHAR(800),
);
select * from SODM_REPORT;

 
drop table if exists CONTACTS_X_ACCOUNT;

CREATE TABLE CONTACTS_X_ACCOUNT
(
  ACCOUNTID  VARCHAR(60),
  CONTACTID  VARCHAR(60),
  CRE_DT     DATE
);
select * from CONTACTS_X_ACCOUNT;



drop table if exists ACCOUNTS_X_EMP;

CREATE TABLE ACCOUNTS_X_EMP
(
  USERID         VARCHAR(150),
  ACCOUNTID      VARCHAR(150),
  COUNTRY        VARCHAR(4000),
  ID             VARCHAR(150),
  ACCOUNTACCESS  VARCHAR(30),
  CRE_DT         DATE
);
select * from ACCOUNTS_X_EMP;



drop table if exists CONTACTS_X_EMP;
CREATE TABLE CONTACTS_X_EMP
(
  USERID         VARCHAR(150),
  CONTACTID      VARCHAR(150),
  COUNTRY        VARCHAR(4000),
  ID             VARCHAR(150),
  CONTACTACCESS  VARCHAR(30),
  CRE_DT         DATE
);
select * from CONTACTS_X_EMP;


drop table if exists CONTACTS_STARPRODUCTS;
CREATE TABLE CONTACTS_STARPRODUCTS 
   (	
   	COUNTRY VARCHAR(4000), 
	CONTACTID VARCHAR(150), 
	USERID VARCHAR(150), 
	PRODUCTID VARCHAR(4000), 
	SEGMENTID VARCHAR(3000), 
	ADOPTION VARCHAR(4000), 
	SURVEYDATE DATE, 
	COPID VARCHAR(4000), 
	QUINTILEID VARCHAR(3000), 
	TREATMENTTREE VARCHAR(3000), 
	STARPRODUCTSID VARCHAR(150), 
	EXTERNALID VARCHAR(150), 
	CREATEDBYID VARCHAR(150), 
	CREATEDDATE DATE, 
	MODIFIEDID VARCHAR(150), 
	MODIFIEDDATE DATE,
	INFO_TO_A_FRANCHISE VARCHAR(200), 
	FRANCHISE VARCHAR(200), 
	SBP_TYPE VARCHAR(100), 
	REF_DT DATE, 
	REGION VARCHAR(100), 
	PARENTID VARCHAR(40), 
	RXQUINTIL VARCHAR(50), 
	RXSEGMENT VARCHAR(50), 
	RX_REF_DT VARCHAR(50), 
	ACCOUNTID VARCHAR(150)
   );

drop table if exists PRODUCTS_R18;
CREATE TABLE PRODUCTS_R18 
   (	
   PRODUCT_ID VARCHAR(100), 
	EXTERNALUNIQUEID VARCHAR(100), 
	PRODUCTCATEGORY VARCHAR(100), 
	PRODUCTCATEGORYID VARCHAR(100), 
	DESCRIPTION VARCHAR(4000), 
	PRODUCTNAME VARCHAR(300), 
	STATUS VARCHAR(100), 
	TYPE VARCHAR(100), 
	CREATEDBYID VARCHAR(100), 
	CREATEDDATE DATE, 
	MODIFYBYID VARCHAR(100), 
	MODIFYBYDATE DATE
   );

drop table if exists PRODUCTS_ALLOCATION_R18;
CREATE TABLE PRODUCTS_ALLOCATION_R18
   (
   	PA_ID VARCHAR(150), 
	EXTERNALSYSTEMID VARCHAR(100),
	ALLOCATIONTYPE VARCHAR(100), 
	ORDERBY VARCHAR(100), 
	STARTDATE DATE, 
	ENDDATE DATE, 
	STOPSAMPLINGFLAG VARCHAR(100), 
	ACTIVEPERIOD VARCHAR(100), 
	PRODUCTID VARCHAR(100), 
	PRODUCTEXTERNALSYSTEMID VARCHAR(100), 
	PRODUCTDESCRIPTION VARCHAR(4000), 
	OWNERID VARCHAR(100), 
	OWNEREXTERNALSYSTEMID VARCHAR(100), 
	CREATEDBYID VARCHAR(100), 
	CREATEDDATE DATE, 
	MODIFYBYID VARCHAR(100), 
	MODIFYBYDATE DATE, 
	ALLOC_GROUP VARCHAR(90), 
	SALES_TEAM VARCHAR(90), 
	REGION VARCHAR(90), 
	WEIGHT VARCHAR(150)
   );

